API Resources

GET
/v3/identify

(ベンダー、製品、バージョン)クエリに関連するリクエスト識別子

VulnCheck は (ベンダー、製品、バージョン) クエリを変換し、最も一致する CPE および PURL 識別子を返します。

パスパラメータ

vendor
string
この属性の値は、製品を製造または作成した個人または組織を説明または識別するものでなければなりません。属性値には、Well-formed Names(WFN)の要件を満たす任意の文字列を指定できます。
product
string
システム/パッケージ/コンポーネントの名前。製品とベンダーは同じ場合もあります。スペース、スラッシュ、およびほとんどの特殊文字は使用できません。空白文字の代わりにアンダースコアを使用してください。
version
string
システム/パッケージ/コンポーネントのバージョン。通常はセマンティックバージョン文字列ですが、ベンダーによって異なる場合があります。

リクエストの例

curl --request GET \
  --url 'https://api.vulncheck.com/v3/identify?vendor=microsoft%20corporation&product=office%202016' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer insert_token_here'

応答

[
{
  "identity": {
    "part": "a",
    "vendor": "microsoft",
    "product": "office",
    "version": "2016",
    "year": "2016"
  },
  "attributes": {
    "update": "*",
    "edition": "*",
    "language": "*",
    "sw_edition": "*",
    "target_sw": "*",
    "target_hw": "*",
    "other": "*"
  },
  "normalized": {
    "title": "Office 2016",
    "version": "2016"
  },
  "identifiers": {
    "cpe": [
      {
        "value": "cpe:2.3:a:microsoft:office:2016:*:*:*:*:*:*:*",
        "confidence": {
          "level": "medium",
          "source": "inference"
        },
        "aliases": []
      }
    ],
    "purl": []
  },
  "suggestions": {
    "cpe": [],
    "purl": []
  },
  "lifecycle": {
    "created_at": "2025-09-12T16:53:23.307436"
  }
}
]